checkRequire("Lua_KuaFuPlayerCell");
Lua_CaptainWindow = class("Lua_CaptainWindow", Lua_SecondSizeWindow);
function Lua_CaptainWindow:ctor()
	self:superCall("ctor");
	self.isModel = true;
	self.windowName = "Lua_CaptainWindow";
	self.skinName = "CaptainWindow_skin";
	self.titleText = "我的戰隊";
	DataCenter.KuaFuData.RoleClick = true;
	
end
function Lua_CaptainWindow:buildShowItem()
	self:superCall("buildShowItem");
	-- self.objMatching.gameObject:SetActive(false);
	
	-- self.dismissBtn:addClickFuntion(self, self.onDismissClick);
	self.inviteBtn:addClickFuntion(self, self.onInviteClick);
	self.renameBtn:addClickFuntion(self, self.onRenameClick);
	self.wenhao:addClickFuntion(self, self.onHelpClick);
	self.applyBtn:addClickFuntion(self, self.onApplyTeamClick);
	self.exitBtn:addClickFuntion(self, self.onExitBtnTeamClick);

	self.dragList = Lua_DragList.new(self.content, 1, Vector4(0, 0, 900, 350));
	self.dragList:setLocation(50, 35, 0);
	self.dragList.canDrag = false;--设置不可拖动
	self.dragList:setListCell(Lua_KuaFuPlayerCell, 400, 300, 3);

	self.starPanel = Lua_KuaFuStarPanel.new(self.content);
	self.starPanel:setLocation(-609,104,0);

	self.captainName.text = LanUtil.formateStr(LanUtil.getValue(140306),tostring(DataCenter.KuaFuData.combat_team_info.name));
	self.dragList:setLuaArrayData(DataCenter.KuaFuData.memberInfoArr, false);
	self:addLuaEvent("LOOKTEAM_INFO",self,self.lookTeamInfo);
	self:lookTeamInfo();
end
function Lua_CaptainWindow:lookTeamInfo()

	self.dragList:setLuaArrayData(DataCenter.KuaFuData.memberInfoArr, false);
	self.captainName.text = LanUtil.formateStr(LanUtil.getValue(140306),tostring(DataCenter.KuaFuData.combat_team_info.name));
	local kf = DataCenter.KuaFuData;
	local data = Lua_KuaFuUtil:teamRuleRewad(kf.combat_team_info.grade_id)
	self.gradeTxt.text = data.name;
	self.starBar:setText(kf.combat_team_info.score.."/"..data.score_range[2]); 
	self.starBar:setMaxValue(data.score_range[2]);
	self.starBar:setValue(kf.combat_team_info.score);
	local spNum = Lua_KuaFuUtil:teamClassSp(kf.combat_team_info.grade_id);
	--self.gradeSp:setAltas("kuafuWindow","flag_"..spNum);
	local starNum = Lua_KuaFuUtil:teamStarNum(kf.combat_team_info.grade_id)
	for i=1,starNum do
		self.starPanel.starCellArr[i]:setData();
	end
	if tonumber(DataCenter.KuaFuData.combat_team_info.captain_id) == tonumber(DataCenter.roleData.roleId) then
		self.renameBtn:setEnable(true)
		-- self.dismissBtn:setEnable(true)
		self.applyBtn:setEnable(true);
		-- self.exitBtn:setEnable(false)
	else
		self.renameBtn:setEnable(false)
		-- self.dismissBtn:setEnable(false)
		self.applyBtn:setEnable(false)
		-- self.exitBtn:setEnable(true)
	end

	self:updateRedDot();
end

-- 更新红点
function Lua_CaptainWindow:updateRedDot()
	local isShow = DataCenter.redDotData:getRedDotStateByEventId(22101);
	if isShow then
		if self.redDotIcon == nil then
			self.redDotIcon = UICreate.createUIAtlasImage(self.content, "common_atlas_1", "ui_common_hongdian", 125, -245, 0, 0);
			self.redDotIcon:setDepth(5);
		end
		self.redDotIcon:setEnable(true);
	else
		if self.redDotIcon ~= nil then
			self.redDotIcon:setEnable(false);
		end
	end
end

function Lua_CaptainWindow:onHelpClick()
	Lua_WindowUtil.openWin("Lua_KuaFuRulesWindow");
end
function Lua_CaptainWindow:onDismissClick()
	local tipData = { };
    tipData.des = LanUtil.getValue(140302);
    tipData.owner = self;
    tipData.subFun = self.onSubCallback;
    tipData.type = 1;
	tipData.txtSize = {x = 338, y = 92 };
	tipData.txtPos = {x = 0, y = 40 };
	tipData.txtSpacingY = 20;
	Lua_WindowUtil.openWin("Lua_TipsWindow",nil,tipData);
end
function Lua_CaptainWindow:onExitBtnTeamClick()
	local tipData = { };
    tipData.des = LanUtil.getValue(140303);
    tipData.owner = self;
    tipData.subFun = self.onSubExitCallback;
    tipData.type = 1;
	tipData.txtPos = {x = 0, y = 55 };
	tipData.txtSpacingY = 20;
	Lua_WindowUtil.openWin("Lua_TipsWindow",nil,tipData);
end
function Lua_CaptainWindow:onRenameClick()
 	Lua_WindowUtil.openWin("Lua_TeamRenameWindow")
end
function Lua_CaptainWindow:onApplyTeamClick()
	sendMsg(11405508);
	Lua_WindowUtil.openWin("Lua_KuaFuTeamJointListWindow")
	--Lua_WindowUtil.openWin("Lua_TeamInviteWindow");
end
function Lua_CaptainWindow:onInviteClick()
	sendMsg(10105501); 
	--Lua_WindowUtil.openWin("Lua_TeamInviteWindow");
end
function Lua_CaptainWindow:onSubCallback()	--战队解散
	sendMsg(11405507)
	Lua_WindowUtil.openWin("Lua_CaptainWindow",WinParam.ACTION_CLOSE)
end
function Lua_CaptainWindow:onSubExitCallback()	--战队解散
	sendMsg(11405504)
	Lua_WindowUtil.openWin("Lua_CaptainWindow",WinParam.ACTION_CLOSE)
end
function Lua_CaptainWindow:dispose()
	self:superCall("dispose");
	DataCenter.KuaFuData.RoleClick = false;
end