Lua_FightInfoShowWindow  = class("Lua_FightInfoShowWindow",Lua_Window);
function Lua_FightInfoShowWindow:ctor()
	self:superCall("ctor");
	self.windowName = "Lua_FightInfoShowWindow";
	self.skinName = "FightInfoShowWindow_skin";
	self.showClose = false;
end
function Lua_FightInfoShowWindow:buildShowItem()
	self:superCall("buildShowItem");
	if self.maxTime == nil then
		self.maxTime = 5;
	end

	self.startTime = getTime();
	self:addLuaEvent("KUAFU_FIGHT_TEAM_INFO",self,self.teamFigetInfo);
	Lua_CommonUtil.addTimer("countDown", 0.3, self, self.onCountDown);

	self.countDownTxt = UICreate.createLabel(self.content, "", 0, -230, 250, 30, 20);
	self.countDownTxt.pivot = UIWidget.Pivot.Center;
	self.countDownTxt:setLocation(0, -230, 0);

	self.ownRolePos = {{-553, 162}, {-489, -12}, {-429, -179}};
	self.enemyRolePos = {{552, 162}, {494, -12}, {434, -179}};

end
function Lua_FightInfoShowWindow:showWin(param)
	self.maxTime = tonumber(tostring(GlobalVar.cur_tick)) + param;
end
function Lua_FightInfoShowWindow:teamFigetInfo()
	local data = DataCenter.KuaFuData;
	local ownLen = data.ownRoleArr:getSize()
	for i=1,3 do
		local ownRole =  OwnRoleInfoCell.new(self.content);
		ownRole:setIndex(i);
		ownRole:setData(data.ownRoleArr[i]);
		ownRole:setPos(self.ownRolePos[i][1],self.ownRolePos[i][2]);
	end

	for i=1,3 do
		local enemyRole =  EnemyRoleInfoCell.new(self.content);
		enemyRole:setIndex(i);
		enemyRole:setData(data.emenyRoleArr[i]);
		enemyRole:setPos(self.enemyRolePos[i][1],self.enemyRolePos[i][2]);
	end
end
function Lua_FightInfoShowWindow:onCountDown()
	local leftTime = self.maxTime - tonumber(tostring(GlobalVar.cur_tick))
	if leftTime > 0 then
		self.countDownTxt.text = LanUtil.formateStr(LanUtil.getValue(140332),tostring(leftTime));
	else
		self:hide();
		self.countDownTxt.text = "";
		Lua_CommonUtil.removeTimer(self,self.onCountDown)
	end
end
function Lua_FightInfoShowWindow:dispose()
	self:superCall("dispose");
	Lua_CommonUtil.removeTimer(self,self.onCountDown)
end



---------------已方队员数据---------------

OwnRoleInfoCell = class("OwnRoleInfoCell", Lua_ListCell);
function OwnRoleInfoCell:ctor(p)
	self:superCall("ctor", p,"OwnRoleInfoCell_skin");
end
function OwnRoleInfoCell:buildShowItem()
	self:superCall("buildShowItem");
end
function OwnRoleInfoCell:setIndex(index)
end
function OwnRoleInfoCell:setData(data)
	if data ~= nil then
		self._data = data;
		self.roleLvTxt.text = data.level
		self.curServerflagTxt.text = data.cur_server_flag
		self.teamNameTxt.text = data.team_name
		self.roleNameTxt.text = data.role_name
		self.fightTxt.text = LanUtil.formateStr(LanUtil.getValue(140323),tostring(data.fight_force))
		self.teamNameTxt:setLocation(self.curServerflagTxt.mainContent.transform.localPosition.x + self.curServerflagTxt.width + 34, 20)

		local role_head = data.role_head_name;
    	if role_head ~= nil and role_head ~= "" then
	        local isDefault = DataCenter.roleData:isDefaultHead(data.career, role_head);
	        if isDefault == true then
	            if data.head_frame ~= nil and self.data.head_frame ~= 0 then
	                self.headOne:setUrl(Lua_ThingDefine.getHeadIconUrlByCustom(role_head, 1));
	            else
	                self.headOne:setUrl(Lua_ThingDefine.getHeadIconUrlByCustom(role_head, 0));
	            end
	        else
	            self.headOne:setUrl(role_head, 99, true);
	            -- if data.head_frame ~= nil and data.head_frame ~= 0 then
	               self.headOne:setRoundSize(0, 0.5,0.5,0.25);--圆形
	            -- else
	            --    self.headOne:setRoundSize(1, 0.5,0.5,0.5);--菱形 
	            -- end
	        end
   		end

	end
end
function OwnRoleInfoCell:setPos(x,y)
	-- self.content.transform.localPosition = Vector3(x, y, 0);
	LuaUtil.setObjPos(self.content, x, y, 0);
end




---------------敌方队员数据---------------

EnemyRoleInfoCell = class("EnemyRoleInfoCell", Lua_ListCell);
function EnemyRoleInfoCell:ctor(p)
	self:superCall("ctor", p,"EnemyRoleInfoCell_skin");
end
function EnemyRoleInfoCell:buildShowItem()
	self:superCall("buildShowItem");
end
function EnemyRoleInfoCell:setIndex(index)
	
end
function EnemyRoleInfoCell:setPos(x,y)
	-- self.content.transform.localPosition = Vector3(x, y, 0);
	LuaUtil.setObjPos(self.content, x, y, 0);
end
function EnemyRoleInfoCell:setData(data)
	if data ~= nil then
		self._data = data;
		self.roleLvTxt.text = data.level
		self.curServerflagTxt.text = data.cur_server_flag
		self.teamNameTxt.text = data.team_name
		self.roleNameTxt.text = data.role_name
		self.fightTxt.text = LanUtil.formateStr(LanUtil.getValue(140323),tostring(data.fight_force))

		self.curServerflagTxt:setLocation(self.teamNameTxt.mainContent.transform.localPosition.x - self.teamNameTxt.width - 34, 20)

		local role_head = data.role_head_name;
    	if role_head ~= nil and role_head ~= "" then
	        local isDefault = DataCenter.roleData:isDefaultHead(data.career, role_head);
	        if isDefault == true then
	            if data.head_frame ~= nil and self.data.head_frame ~= 0 then
	                self.headOne:setUrl(Lua_ThingDefine.getHeadIconUrlByCustom(role_head, 1));
	            else
	                self.headOne:setUrl(Lua_ThingDefine.getHeadIconUrlByCustom(role_head, 0));
	            end
	        else
	            self.headOne:setUrl(role_head, 99, true);
	            --if data.head_frame ~= nil and data.head_frame ~= 0 then
	               self.headOne:setRoundSize(0, 0.5,0.5,0.25);--圆形
	            --else
	            --    self.headOne:setRoundSize(1, 0.5,0.5,0.5);--菱形
	            --end
	        end
   		end

	end
end