-- 跨服
checkRequire("Lua_FightingResultBaseWindow");
Lua_KuaFuFightEndWindow = class("Lua_KuaFuFightEndWindow", Lua_FightingResultBaseWindow)
function Lua_KuaFuFightEndWindow:ctor()
	self:superCall("ctor");
	
	self.windowName = "Lua_KuaFuFightEndWindow";

	self.winTitleAtlas = "ui_zhujiemian_z_zdcg"; -- 战斗成功
	self.tieTitleAtlas = "ui_zhujiemian_z_zdsb"; -- 战斗失败
	self.failTitleAtlas = "ui_zhujiemian_z_zdsb"; -- 战斗失败
end

function Lua_KuaFuFightEndWindow:buildShowItem()
	self:superCall("buildShowItem");
	
	self.rankDesc = UICreate.createLabel(self.content, "", 0, 118, 300, 30, 30);
	self.rankDesc.name = "rankDesc";
	self.rankDesc.pivot = UIWidget.Pivot.Center;
	self.rankDesc.overflowMethod = UILabel.Overflow.ResizeFreely;
	self.rankDesc:setDepth(4);

	self.honorTxt = UICreate.createLabel(self.content, "", 0, 24, 30, 30, 32);
	self.honorTxt.name = "honorTxt";
	self.honorTxt.pivot = UIWidget.Pivot.Center;
	self.honorTxt.overflowMethod = UILabel.Overflow.ResizeFreely;
	self.honorTxt:setDepth(4);

	self.leftIcon = UICreate.createUIAtlasImage(self.content, "common_atlas_1", "ui_common_title_3", -335, -53, 0, 0);
	self.leftIcon.name = "leftIcon";
	self.leftIcon:setSacle(0.8, 0.8, 0.8);
	self.leftIcon:setDepth(4);

	self.rightIcon = UICreate.createUIAtlasImage(self.content, "common_atlas_1", "ui_common_title_3", 335, -53, 0, 0);
	self.rightIcon.name = "rightIcon";
	self.rightIcon:setSacle(-0.8, 0.8, 0.8);
	self.rightIcon:setDepth(4);

	self.copperTxt = UICreate.createLabel(self.content, "", -238, -55, 300, 30, 32);
	self.copperTxt.name = "copperTxt";
	self.copperTxt.pivot = UIWidget.Pivot.Left; 
	self.copperTxt.overflowMethod = UILabel.Overflow.ResizeFreely;
	self.copperTxt:setDepth(4);
	
	self.expTxt = UICreate.createLabel(self.content, "", -12, -55, 300, 30, 32);
	self.expTxt.name = "expTxt";
	self.expTxt.pivot = UIWidget.Pivot.Left;
	self.expTxt.overflowMethod = UILabel.Overflow.ResizeFreely;
	self.expTxt:setDepth(4);
end

function Lua_KuaFuFightEndWindow:showWin(param)
	self:superCall("showWin", param);

	if param ~= nil then
		-- msg.before_rank;
        -- msg.after_rank;	
        -- msg.glory_point;	-- 荣耀点数
        -- msg.exp;	-- 获得经验值
        -- msg.auto_return_time;	-- 自动返回时间
        -- msg.ret;	-- 0 挑战成功 其他失败
        -- msg.money; -- 金钱
        local bWin = param.type == 1 and 1 or -1;
		self:setShowInfo(bWin, 15);

        if param.type == 1 then
			self.rankDesc.text = LanUtil.formateStr(LanUtil.getValue(140324), tostring(param.team_name));
		else
			self.rankDesc.text = LanUtil.formateStr(LanUtil.getValue(140325), tostring(param.team_name));
		end
		self.honorTxt.text = LanUtil.getValue(122810) .. param.score;
		self.copperTxt.text = LanUtil.formateStr(LanUtil.getValue(140326), Lua_CommonUtil.getNumberTrans(param.honor));
		self.expTxt.text = LanUtil.formateStr(LanUtil.getValue(140327), Lua_CommonUtil.getNumberTrans(param.exp));
	end
end

function Lua_KuaFuFightEndWindow:hide()
	sendMsg(10400902);
	self:superCall("hide");
end

function Lua_KuaFuFightEndWindow:dispose()
	if self.rankDesc ~= nil then
		self.rankDesc:dispose();
		self.rankDesc = nil;
	end
	if self.honorTxt ~= nil then
		self.honorTxt:dispose();
		self.honorTxt = nil;
	end
	if self.copperTxt ~= nil then
		self.copperTxt:dispose();
		self.copperTxt = nil;
	end
	if self.expTxt ~= nil then
		self.expTxt:dispose();
		self.expTxt = nil;
	end
	self:superCall("dispose");
end