
Lua_KuaFuPlayerCell = class("Lua_KuaFuPlayerCell", Lua_ListCell);
function Lua_KuaFuPlayerCell:ctor(p)
	self:superCall("ctor", p,"KuFuPlayerCell_skin");
end

function Lua_KuaFuPlayerCell:buildShowItem()
	self:superCall("buildShowItem");


	self.fightNum = Lua_NumberImage.new(self.content);
	self.fightNum.prefix = "a_";
	self.fightNum.num = 0;
	self.fightNum:setDepth(4);
	self.fightNum:setLocation(-59, 126, 0);
	self.fightNum:setNumScale(0.6,0.6);
	self.fightNum.numWidth = 14;
	self.tipsTxt:addClickFuntion(self, self.onTeamClick);

end
function Lua_KuaFuPlayerCell:setData(data)
	self.data = data;

	if not data.role_id then
		self.roleSp:setEnable(true);
		self.fightNum:setEnable(false);
		self.fightSp:setEnable(false);
		self.fightLogo:setEnable(false);
		self.nameTxt:setEnable(false);
		self.tipsTxt:setEnable(true)
		self.captainObg.gameObject:SetActive(false);
		if DataCenter.KuaFuData.combat_team_info == nil then
			self.tipsTxt.text = LanUtil.getValue(140355);
		else
			self.tipsTxt.text = LanUtil.getValue(140356);
		end
		if self.playerModel then
			self.playerModel:dispose();
		end
	else
		self.nameTxt.text = data.role_name;
		self.fightNum.num = data.fight_force;
		self.roleSp:setEnable(false);
		self.fightNum:setEnable(true);
		self.fightSp:setEnable(true);
		self.fightLogo:setEnable(true);
		self.nameTxt:setEnable(true);
		self.tipsTxt:setEnable(false)
		if data.iscaptain then
			self.captainObg.gameObject:SetActive(true);
		else
			self.captainObg.gameObject:SetActive(false);
		end
		self:roleModel()
	end
	self.fightNum:setNumScale(0.6,0.6);
end

function Lua_KuaFuPlayerCell:onTeamClick()
	if DataCenter.KuaFuData.combat_team_info == nil then
		sendMsg(11405511);
		Lua_WindowUtil.openWin("Lua_TeamApplyWindow");
	else
		sendMsg(10105501);
	end
end

function Lua_KuaFuPlayerCell:roleModel()
	local modelData = UsData();
	modelData.roleId = self.data.role_id; --self.data.id; --
	-- modelData.nickname = self.data.role_id--self.data.name; --
	modelData.gender = self.data.sex--self.data.sex; -- 性别
	modelData.weapon_id =  self.data.role_base.weapon--self.data.shape_info.weapon; -- 武器
	modelData.clothes_id =  self.data.role_base.clothes--self.data.shape_info.clothes; -- 衣服
	modelData.fashion_weapon_id =  self.data.role_base.fashion_weapon--self.data.shape_info.fashion_weapon_id; --
	modelData.fashion_clothes_id =  self.data.role_base.fashion_clothes--self.data.shape_info.fashion_clothes_id; --
	modelData.fashionHeadId =  self.data.role_base.fashion_headdress--self.data.shape_info.fashion_headdress_id; --
	-- modelData.lvl =  self.data.role_level--self.data.level; -- 等级
	modelData.career =  self.data.career--self.data.career; -- 职业
	modelData.wingId =  self.data.role_base.role_wing--self.data.shape_info.wing; -- 仙羽等级
	modelData.profession =  self.data.profession--self.data.profession; -- 当前转职次数
	modelData.showShadow = false;
	modelData.canBeClick = false;
	modelData.isShowName = false;
	modelData.IsUI = true;
	modelData.hp = 1;
	modelData.kind = 1;
	if not self.playerModel then
		self.playerModel = ModelPlayer();
	end

	self.playerModel:init(self.content, Vector3(-20, -112, 30), Vector3(0, 90, 0), modelData, nil, 130);
	self.playerModel:SetRenderQueue(self.nameTxt, -1, 2);
	-- self.playerModel:setGray(true);
	-- self.playerModel:setActive(true);
end
function Lua_KuaFuPlayerCell:onPlayerSoundClick()

	if DataCenter.KuaFuData.RoleClick == true and self.data.role_id ~= nil   then
		local isMe = tonumber(self.data.role_id) == tonumber(DataCenter.roleData.roleId) and true or false;
		local menuTypes = Array();
		if  isMe == false then
			menuTypes:add(Lua_MenuPopListData.new(Lua_MenuPopListData.BTN_CHECK_INFO,self.data.role_id));
			if tonumber(DataCenter.roleData.roleId) == tonumber(DataCenter.KuaFuData.combat_team_info.captain_id) then
				menuTypes:add(Lua_MenuPopListData.new(Lua_MenuPopListData.BTN_CHANGE_KUAFU_TEAM_LEADER,self.data.role_id));
				menuTypes:add(Lua_MenuPopListData.new(Lua_MenuPopListData.BTN_CHANGE_KUAFU_TEAM_KICKOUT,self.data.role_id));
			end
			Lua_WindowUtil.openWin("Lua_MenuPopListWindow",WinParam.ACTION_OPEN,menuTypes);
			-- else
			-- 	menuTypes:add(Lua_MenuPopListData.new(Lua_MenuPopListData.BTN_PRIVATE_CHAT,self.data.role_id));
			-- 	Lua_WindowUtil.openWin("Lua_MenuPopListWindow",WinParam.ACTION_OPEN,menuTypes);
		end
	end
end
function Lua_KuaFuPlayerCell:dispose()
	self:superCall("dispose");
	if self.playerModel then
		self.playerModel:dispose();
	end
end