-- 跨服3V3组队申请
checkRequire("Lua_KuaFuTeamCommiteItem");
Lua_KuaFuTeamCommiteWindow = class("Lua_KuaFuTeamCommiteWindow", Lua_Window);
function Lua_KuaFuTeamCommiteWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_KuaFuTeamCommiteWindow";
	self.skinName = "KuaFuTeamCommiteWindow_skin";
end

function Lua_KuaFuTeamCommiteWindow:buildShowItem()
	self:superCall("buildShowItem");

	local item;
	self.arr = Array();
	local poses = {-140, 0, 140};
	for i,v in ipairs(poses) do
		item = Lua_KuaFuTeamCommiteItem.new(self.content);
		item:setLocation(v, 82, 0);
		self.arr:add(item);
	end

	self.subBtn:addClickFuntion(self, self.onSubClick);
	self.cancelBtn:addClickFuntion(self, self.onCancelClick);

	self.maxTime = 15;
	self.startTime = getTime();
	self:addTimer("commit", 0.01, self, self.onCountDown);

	self:onCountDown();
	self:onUpdateData();

	self:addLuaEvent("KUAFU_TEAM_INFO_UPDATE", self, self.onUpdateData);
end

function Lua_KuaFuTeamCommiteWindow:onUpdateData()
	local KuaFuData = DataCenter.KuaFuData;
	if KuaFuData.hasTeam == false then -- 是队长
		self:hide();
		return;
	end

	for i = 1, self.arr:getSize() do
		self.arr[i]:setData(KuaFuData.targetVo[i]);
	end
end

function Lua_KuaFuTeamCommiteWindow:onCountDown()
	local leftTime = self.maxTime - (getTime() - self.startTime);
	if leftTime > 0 then
		self.bar:setText(TimeTransform.getInstance():transSeconds6(leftTime, false, true));
		self.bar:setMaxValue(self.maxTime * 10);
		self.bar:setValue(leftTime * 10);
	else
		self:onSubClick();
	end
end

function Lua_KuaFuTeamCommiteWindow:onSubClick(go)
	local cmd = ProtoPublic_pb.Proto10105504();
	cmd.state = 1;
	sendMsg(10105504, cmd);

	Lua_WindowUtil.openWin("Lua_KuaFuWindow", WinParam.ACTION_OPEN);
	GlobalVar.hooking = true;
	DataCenter.hook:stop(false);
	self:hide();
end

function Lua_KuaFuTeamCommiteWindow:onCancelClick(go)
	local cmd = ProtoPublic_pb.Proto10105504();
	cmd.state = 2;
	sendMsg(10105504, cmd);
	self:hide();
end

function Lua_KuaFuTeamCommiteWindow:dispose()
	if self.arr ~= nil then
		self.arr:dispose();
		self.arr:clear();
		self.arr = nil;
	end
	self:superCall("dispose");
end