Lua_KuaFuTeamJointItem = class("Lua_KuaFuTeamJointItem", Lua_ListCell);
function Lua_KuaFuTeamJointItem:ctor(p)
	self:superCall("ctor", p, "KuaFuTeamJointItem_skin");
end

function Lua_KuaFuTeamJointItem:buildShowItem()
	self:superCall("buildShowItem"); 

	self.subBtn:addClickFuntion(self,self.onSubClick);
	self.disBtn:addClickFuntion(self,self.onDisClick);
end

function Lua_KuaFuTeamJointItem:setData(data)
	self._data = data;
	self.nameTxt.text = data.role_name;
	self.careerTxt.text = Lua_ThingDefine.getJobName(data.career, data.profession);
	self.lvTxt.text = LanUtil.formateStr(LanUtil.getValue(122227), tostring(data.level));
    
    self.frameData = DataCenter.roleData:getHeadFrame(data.role_base.fashion_head_frame);
    if self.frameData.atlas ~= nil and self.frameData.sprite ~= nil then
    	self.headFrame:setEnable(true);
    	self.headFrame:setAltas(self.frameData.atlas, self.frameData.sprite)
    	self.headFrame:resetSize();
    else
    	self.headFrame:setEnable(false);
    end
    if isHeadReplaceOpen() then
    	local isDefault = DataCenter.roleData:isDefaultHead(data.career, data.role_head_name);
    	if isDefault then
    		self.headImg:setUrl(Lua_ThingDefine.getHeadIconUrlByCustom(data.role_head_name, 1));
    	else
    		self.headImg:setUrl(data.role_head_name, 99, true);
    	end
    	self.headImg:setRoundSize(0, 0.5, 0.5, 0.25);
    else
    	self.headImg:setUrl(Lua_ThingDefine.getHeadIconUrlByCareer(data.career, data.profession));
    end
end

function Lua_KuaFuTeamJointItem:onSubClick(go)
	local cmd = ProtoPublic_pb.Proto11405510();
	cmd.type = 1;
	cmd.invited_id=tonumber(self._data.role_id);
	cmd.state = 1;
	sendMsg(11405510, cmd);
end

function Lua_KuaFuTeamJointItem:onDisClick(go)
	local cmd = ProtoPublic_pb.Proto11405510();
	cmd.type = 1;
	cmd.invited_id=tonumber(self._data.role_id);
	cmd.state = 2;
	sendMsg(11405510, cmd);
end