
Lua_TeamApplyItem = class("Lua_TeamApplyItem", Lua_ListCell);
function Lua_TeamApplyItem:ctor(p)
	self:superCall("ctor", p,"TeamApplyItem_skin");
end

function Lua_TeamApplyItem:buildShowItem()
	self:superCall("buildShowItem");
	self.applyBtn:addClickFuntion(self,self.onApplyClick)
	self.disBtn:addClickFuntion(self,self.onDisClick)
	self.disBtn.label = LanUtil.getValue(120130);
	self.agreeBtn:addClickFuntion(self,self.onAgreeClick)
end

function Lua_TeamApplyItem:setData(data)
	self.data = data;
	if DataCenter.KuaFuData.isApply == true then
		self.applyBtn:setEnable(true);
		self.disBtn:setEnable(false);
		self.agreeBtn:setEnable(false);
	else
		self.applyBtn:setEnable(false);
		self.disBtn:setEnable(true);
		self.agreeBtn:setEnable(true);
	end
	if data.value == 2 then
		self.applyBtn.label = LanUtil.getValue(123733); 
		self.applyBtn:setBtnEnable(true)
	elseif tonumber(data.value) == 0 then
		self.applyBtn.label = LanUtil.getValue(123734);
		self.applyBtn:setBtnEnable(false)
	end
	self.rankTxt:setEnable(false);
	self.rankSp:setEnable(true);
	if data.rank==1 then
        self.rankSp:setAltas("leaderBoard_atlas", "ui_paihang_widget_no1");
    elseif data.rank==2 then
      	self.rankSp:setAltas("leaderBoard_atlas", "ui_paihang_widget_no2");
    elseif data.rank==3 then
      	self.rankSp:setAltas("leaderBoard_atlas", "ui_paihang_widget_no3");
  	else
  		self.rankSp:setEnable(false);
  		self.rankTxt:setEnable(true);
    end
    self.rankTxt.text = data.rank;
    self.teamTxt.text = data.name;
    self.captainTxt.text = data.captain_name
   
    self.teamLvTxt.text = Lua_KuaFuUtil:teamRuleRewad(data.grade_id).other_name;
    self.numTxt.text = "("..#data.team_member.."/3)"

end
function Lua_TeamApplyItem:onApplyClick()
	local cmd = ProtoPublic_pb.Proto11405502();
	cmd.team_id = self.data.id;
	sendMsg(11405502,cmd)

end
function Lua_TeamApplyItem:onDisClick()
	local cmd = ProtoPublic_pb.Proto11405510();
	cmd.type = 2;
	cmd.invited_id = self.data.id;
	cmd.state = 2;
	sendMsg(11405510,cmd)
end
function Lua_TeamApplyItem:onAgreeClick()
	local cmd = ProtoPublic_pb.Proto11405510();
	cmd.type = 2;
	cmd.invited_id = self.data.id;
	cmd.state = 1;
	sendMsg(11405510,cmd)
end